.\" @(#)getrpcent.3n	1.2 87/11/13 3.9 RPCSRC
.\" @(#)getrpcent.3n 1.6 87/10/06 SMI;
.TH GETRPCENT 3N "6 October 1987"
.SH NAME
getrpcent, getrpcbyname, getrpcbynumber \- get RPC entry
.SH SYNOPSIS
.nf
.ft B
#include <netdb.h>
.LP
.ft B
struct rpcent *getrpcent(\|)
.LP
.ft B
struct rpcent *getrpcbyname(name)
char *name;
.LP
.ft B
struct rpcent *getrpcbynumber(number)
int number;
.LP
.ft B
setrpcent (stayopen)
int stayopen
.LP
.ft B
endrpcent (\|)
.fi
.IX  get "RPC program entry \(em \fLgetrpcent\fR"
.IX  set "RPC program entry \(em \fLsetrpcent\fR"
.IX  "RPC program entry, get \(em \fLgetrpcent\fR"
.IX  "getrpcent function"  ""  "\fLgetrpcent\fP \(em get RPC entry"
.IX  "getrpcbynumber function"  ""  "\fLgetrpcbynumber\fP \(em get RPC entry"
.IX  "getrpcbyname function"  ""  "\fLgetrpcbyname\fP \(em get RPC entry"
.IX  "setrpcent function"  ""  "\fLsetrpcent\fP \(em get RPC entry"
.IX  "endrpcent function"  ""  "\fLendrpcent\fP \(em get RPC entry"
.SH DESCRIPTION
.BR getrpcent ,
.BR getrpcbyname ,
and
.B getrpcbynumber
each return a pointer to an object with the
following structure
containing the broken-out
fields of a line in the rpc program number data base,
.BR /etc/rpc .
.RS
.LP
.nf
.ft B
struct	rpcent {
	char	*r_name;	/* name of server for this rpc program */
	char	**r_aliases;	/* alias list */
	long	r_number;	/* rpc program number */
};
.ft R
.fi
.RE
.LP
The members of this structure are:
.RS
.PD 0
.TP 20
.B r_name
The name of the server for this rpc program.
.TP 20
.B r_aliases
A zero terminated list of alternate names for the rpc program.
.TP  20
.B r_number
The rpc program number for this service.
.PD
.RE
.LP
.B getrpcent
reads the next line of the file, opening the file if necessary.
.LP
.B getrpcent
opens and rewinds the file.  If the
.I stayopen
flag is non-zero,
the net data base will not be closed after each call to
.B getrpcent
(either directly, or indirectly through one of
the other \*(lqgetrpc\*(rq calls).
.LP
.B endrpcent
closes the file.
.LP
.B getrpcbyname
and
.B getrpcbynumber
sequentially search from the beginning
of the file until a matching rpc program name or
program number is found, or until
.SM EOF
is encountered.
.SH FILES
.PD 0
.TP 20
.B /etc/rpc
.PD
.SH "SEE ALSO"
.BR rpc (5),
.BR rpcinfo (8),
.SH DIAGNOSTICS
Null pointer
.BR  (0) 
returned on EOF or error.
.SH BUGS
All information
is contained in a static area
so it must be copied if it is
to be saved.
